import org.junit.Assert;
import org.junit.Test;

import static org.junit.Assert.assertEquals;

public class BinTest {
    @Test
    public void testGetBin(){
        //given
        Bins bins = new Bins(2);
        int expected=0;
        //when
        int actual = bins.getBin(3);
        //then
        assertEquals(expected, actual);

    }


    @Test
    public void testIncrementBin(){
        //given
        Bins bins= new Bins(5);

        int expected=1;
        int binNumber=5;
        //when
        bins.incrementBin(binNumber);

       int actual= bins.getBin(binNumber);
        //actual
        Assert.assertEquals(expected,actual);
    }

    @Test
    public void testIncrementBin100Times(){
        //given
        Bins bins= new Bins(5);

        int expected=100;
        int binNumber=5;
        //when
        for (int i= 1; i<=100; i++) {
            bins.incrementBin(binNumber);
        }
        int actual= bins.getBin(binNumber);
        //actual
        Assert.assertEquals(expected,actual);
    }
    @Test
    public void testIncrementBin1000Times(){
        //given
        Bins bins= new Bins(5);

        int expected=1000;
        int binNumber=5;
        //when
        for (int i= 1; i<=1000; i++) {
            bins.incrementBin(binNumber);
        }
        int actual= bins.getBin(binNumber);
        //actual
        Assert.assertEquals(expected,actual);
    }

    @Test
    public void getBinValueTest(){
        // given
        Bins bin = new Bins(6);
        int expected=0;
        //when
        int actual= bin.getBin(6);
        //then
        Assert.assertEquals(expected, actual);
    }

}
