import org.junit.Assert;
import org.junit.Test;

public class SimulationTest {
    @Test
    public void testRunSim (){
        //given
        int numberOfDice=2;
        int numberOfToss=4;
        Simulation simulation= new Simulation(numberOfDice, numberOfToss);
        int expected = numberOfToss;
        //when
        simulation.runSimulation();
        int actual = numberOfToss;
        //then
        Assert.assertEquals(expected, actual);
    }
    @Test
   public void testRunSim100Toss() {
        //Given
        int numbDies = 2;
        int numbTosses = 100;
        Simulation sim2 = new Simulation(numbDies, numbTosses);
        int expected = numbTosses;

        //When
        sim2.runSimulation();
        int actual = sim2.getBinCount();

        //Then
        Assert.assertEquals(expected,actual);
    }@Test
    public void testRunSim1000Toss() {
        //Given
        int numbDies = 2;
        int numbTosses = 1000;
        Simulation sim2 = new Simulation(numbDies, numbTosses);
        int expected = numbTosses;

        //When
        sim2.runSimulation();
        int actual = sim2.getBinCount();

        //Then
        Assert.assertEquals(expected,actual);
    }



}
